Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Jan 2024 21:55:15 +0200

> Date: Mon, 8 Jan 2024 20:57:13 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> Even if we call non-file-visiting buffers' contents "languages", I don't 
> think anyone will have a heart attack or something.

"No heart attack" is a poor criterion for good parameterization and
consistent terminology.  Confusing terms will spread confusion and
bugs.  There's no reason for us to settle for sub-optimal terminology.

> E.g., for example, we have message-mode, but if we wanted to support 
> alternatives, we could call the base "email-message". Or for different 
> major modes to edit VC commit messages, we could call the language 
> "vc-log-message".

Those are not "languages", so let's not call them that.